<script lang="ts">
    import type { Resources } from '$lib/resource'
    import Resource from './ResourcesPanel/Resource.svelte'
    import type { Writable } from 'svelte/store'

    export let resources: Writable<Resources>
</script>

<div class="resources-panel">
    {#if resources && $resources}
        {#each Object.keys($resources) as name}
            <Resource {...$resources[name]} {name} />
        {/each}
    {/if}
</div>

<style lang="postcss">
    .resources-panel {
        @apply relative col-span-3 xl:col-span-2 grid grid-cols-5 items-start gap-x-2 px-4 pt-1 -mr-2;
        clip-path: polygon(100% 0, calc(100% - 2rem) 100%, 0 calc(100% - 0.75rem), 0 0);

        &::before {
            content: '';
            @apply absolute inset-0 z-[-1]
            bg-gradient-to-r from-fuchsia-200  to-indigo-200
            dark:from-fuchsia-900 dark:to-indigo-900;
        }
    }
</style>
